Bug Hunting Session
Bug 37016 - Writer Formula diacritic cropping and superscript misplacement
Summary: Writer Formula diacritic cropping and superscript misplacement
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 45461 (view as bug list)
Depends on:
Blocks: Formula-Editor
  Show dependency treegraph
 
Reported: 2011-05-09 07:53 UTC by Christopher M. Penalver
Modified: 2017-10-17 23:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test.odt (21.58 KB, application/vnd.oasis.opendocument.text)
2011-05-09 07:53 UTC, Christopher M. Penalver
Details
Screenshot in v4.1.4.2 showing correct (expected) rendering. (2.12 KB, image/png)
2014-03-15 23:29 UTC, Owen Genat (retired)
Details
Original Launchpad testcase. (16.16 KB, application/vnd.oasis.opendocument.text)
2014-03-15 23:47 UTC, Owen Genat (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-05-09 07:53:33 UTC
Created attachment 46484 [details]
test.odt

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/778979

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-proposed/main i386
Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

3) What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/778979/+attachment/2119391/+files/test.odt && lowriter -nologo test.odt

double click third icon down (theta with a superscript) -> click Format -> Spacing... -> change the Spacing combo box to 200% -> OK button and the spacing between the theta and the superscript should change.

4) What happens instead is it does not budge.

WORKAROUND: Add a space in the formula.

%itheta^{{" "}a}
Comment 1 Noel Power 2011-05-10 06:40:23 UTC
same in OOo3.4beta
Comment 2 Björn Michaelsen 2011-12-23 12:04:50 UTC Comment hidden (obsolete)
Comment 3 Christopher M. Penalver 2012-01-03 19:10:13 UTC
Reproducible in:
LOdev 3.5.0beta2 
Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978
Microsoft Windows Vista Business 6.0.6002 Service Pack 2 Build 6002
Comment 4 Owen Genat (retired) 2013-06-10 07:20:48 UTC
This bug has not seen an update in a while. Re-confirming that this issue still exists under GNU/Linux with TDF/LO v4.0.3.3 (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539) using either the test document from the description or a newly created document.
Comment 5 Owen Genat (retired) 2014-03-15 23:29:35 UTC
Created attachment 95876 [details]
Screenshot in v4.1.4.2 showing correct (expected) rendering.

This bug now appears to be fixed. Under Debian 7 / Crunchbang 11 (both x86_64) using:

- v4.1.4.2 Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72
- v4.2.0.4 Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71

... I see the formulas as in the attached (v4.2.0.4 renders the same a v4.1.4.2). This seems to correct the problem noted in the screenshot in the Launchpad bug (i.e., cropping and misplacement of the superscripts and diacritics):

https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/778979/+attachment/2118091/+files/Screenshot.png

Can someone please test the originally provided example using a more recent build? Thanks.
Comment 6 Owen Genat (retired) 2014-03-15 23:35:36 UTC
Summary edited for clarity.
Comment 7 Owen Genat (retired) 2014-03-15 23:47:39 UTC
Created attachment 95877 [details]
Original Launchpad testcase.

(In reply to comment #5)
> Created attachment 95876 [details]
> Screenshot in v4.1.4.2 showing correct (expected) rendering.
> 
> This bug now appears to be fixed.

Please disregard my entire comment #5. It appears the original post in the freedesktop bugzilla has the edited (fixed) testcase attached and not the original (problematic) testcase. Creating the example formulas in a new document, exhibits the same issue i.e., diacritics above Greek characters being cropped, and superscript against Greek characters being misplaced. Similarly, opening the original Launchpad testcase in v4.1.4.2 and v4.2.0.4 still shows the problem.

I am attaching the original Launchpad testcase (and obsoleting the original freedesktop attachment) for clarity.
Comment 8 Buovjaga 2014-11-16 15:05:43 UTC
*** Bug 45461 has been marked as a duplicate of this bug. ***
Comment 9 QA Administrators 2016-09-20 09:31:48 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920